package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 	接口类型信息实体
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-01 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="T_INTERFACE_TYPE")
@Api("接口类型信息")
public class InterfaceType extends BaseBean {

    @Column(name="tp_id")
    @ApiParam("接口编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tpId;

    @Column(name="tp_typ")
    @ApiParam("接口类型")
    private  String tpTyp;

    @Column(name="pb_no")
    @ApiParam("发布方编码")
    private  String pbNo;

    @Column(name="tp_no")
    @ApiParam("接口编码")
    private  String tpNo;

    @Column(name="tp_desc")
    @ApiParam("接口主题描述")
    private  String tpDesc;

    @Column(name="mes_tab")
    @ApiParam("接口业务表")
    private  String mesTab;

    @Column(name="mes_group")
    @ApiParam("业务表的分组条件")
    private  String mesGroup;

    @Column(name="mes_pk")
    @ApiParam("业务表主键")
    private  String mesPk;

    @Column(name="act_type")
    @ApiParam("业务类型")
    private Integer actType;

    @Column(name="act_desc")
    @ApiParam("业务描述")
    private  String actDesc;

    @Column(name="device_id")
    @ApiParam("驱动类编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private  Long deviceId;

    @Column(name="request_url")
    @ApiParam("服务器请求路径")
    private  String requestUrl;

    @Column(name="cfile_path")
    @ApiParam("客户文件路径")
    private  String cfilePath;

    public Long getTpId() {
        if(tpId != null) {
            return tpId.longValue();
        }else{
            return tpId;
        }
    }

    public Long getDeviceId() {
        if(deviceId != null) {
            return deviceId.longValue();
        }else{
            return deviceId;
        }
    }
}
